Page MenuHomePhabricator

Move invisible page properties from the DOM to dedicated metadata
Open, LowPublic

Description

With RESTBase we now have the ability to store additional versioned metadata outside of the page content. I am proposing to use this to move page properties out of the content in the longer term.

In the medium term, it would be useful to offer retrieval and edit support for page properties without removing them from the main content just yet. This would support page property editing in a future VE section edit mode, but would also allow us to offer a simpler property editing experience to all users.

See Also:

Details

Reference
bz53508

Related Objects

StatusAssignedTask
OpenNone
OpenNone
Resolved GWicke
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedCmjohnson
ResolvedCmjohnson
ResolvedJoe
Resolvedfgiunchedi
Resolved GWicke
Resolved Jdouglas
Resolved GWicke
Resolved GWicke
ResolvedArlolra
Resolved GWicke
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Duplicate Jdouglas
ResolvedAndrew
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedEevans
Resolvedfgiunchedi
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedmobrovac
Resolved GWicke

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:00 AM
bzimport added a project: Parsoid-DOM.
bzimport set Reference to bz53508.

Sorry, see bug 49143 for multi-part revision storage.

Also, we should test the generated metadata.

  • Bug 56515 has been marked as a duplicate of this bug. ***
marcoil removed GWicke as the assignee of this task.Nov 25 2014, 6:31 PM
marcoil added a project: Parsoid.
marcoil set Security to None.
GWicke moved this task from Backlog to Future on the RESTBase board.Mar 17 2015, 8:17 PM

Because of the text diffing interface, the one problem Parsoid would have to solve here is: being able to serialize metadata back at the same wikitext position where it showed up.

Possible solution:

  • we have to leave behind rendering-transparent, unfosterable, uneditable markers (uneditable because of protocol between Parsoid and clients). HTML comments fit those requirements -- except users could insert comments that could be indistinguishable from these marker comments (which is solvable using encoding tricks)
GWicke updated the task description. (Show Details)Jun 15 2015, 2:38 PM
GWicke moved this task from Backlog to designing on the Services board.Jul 11 2017, 10:19 PM
GWicke edited projects, added Services (designing); removed Services.